#! /usr/bin/gawk -f
BEGIN { OFS=" " }
{
    i = 1
    while (i <= NF) {
        if ($(i) ~ /^-I/) {
            str = substr($(i), 3)
            cmd = "cygpath -m " str
            cmd | getline t
            close(cmd)
            printf("-I %s ", t)
        } else if ($(i) ~ /^-c$/) {
            i++
            cmd = "cygpath -m " $(i)
            cmd | getline t
            close(cmd)
            printf("-c %s ", t)
        } else if ($(i) ~ /^-isystem$/) {
            i++
            cmd = "cygpath -m " $(i)
            cmd | getline t
            close(cmd)
            printf("-isystem %s ", t)
        } else {
            printf("%s ", $(i))
        }
        i++
    }
}
