
IF(ZLIB_FOUND)
nlib_add_sample(oss binarypatch nx_oss_bsdiff nx_misc ${ZLIB_LIBRARIES})
ENDIF()
nlib_add_sample(oss readsqldb nx_oss_sqlite3 nx_misc)
nlib_add_sample(oss speedtest1 nx_oss_sqlite3 nx_misc)
SET_PROPERTY(TARGET oss_speedtest1 APPEND PROPERTY
	COMPILE_OPTIONS "$<$<C_COMPILER_ID:Clang>:-Wno-sign-compare;-Wno-array-bounds>")
SET_PROPERTY(TARGET oss_speedtest1 APPEND PROPERTY
	COMPILE_OPTIONS "$<$<C_COMPILER_ID:GNU>:-Wno-sign-compare>")

ADD_CUSTOM_COMMAND(TARGET oss_readsqldb POST_BUILD
				   COMMAND ${CMAKE_COMMAND} -E copy_if_different
                   "${NLIB_PKGROOT_DIR}/samples/sources/oss/resource/sample.db"
                   "$<TARGET_FILE_DIR:oss_readsqldb>")

IF(CTR)
	nlib_cygwin_getwinpath(${NLIB_PKGROOT_DIR}/samples/sources/oss/resource respath)
	FILE(WRITE ${PROJECT_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf
		"BasicInfo:\n"
		"  BackupMemoryType: None\n"
		"  Title: readsqldb\n"
		"Rom:\n"
		"  HostRoot: ${respath}\n"
		"CardInfo:\n"
		"  CardDevice: None\n"
		"TitleInfo:\n"
		"  UniqueId: 0xff3f\n"
		"AccessControlInfo:\n"
		"  FileSystemAccess:\n"
		"    - Debug\n"
		"    - DirectSdmc\n"
	)
	SET_PROPERTY(TARGET oss_readsqldb PROPERTY
		CTR_SPEC_RSF "${PROJECT_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf")
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "NLIB_CTR_SAMPLE_USEFILE")
	generate_ctr_makeromopt(oss_readsqldb)

	nlib_cygwin_getwinpath(${NLIB_PKGROOT_DIR}/samples/sources/oss/resource respath)
	FILE(WRITE ${PROJECT_BINARY_DIR}/CMakeFiles/oss_speedtest1.dir/speedtest1.rsf
		"BasicInfo:\n"
		"  BackupMemoryType: None\n"
		"  Title: speedtest1\n"
		"Rom:\n"
		"  HostRoot: ${respath}\n"
		"CardInfo:\n"
		"  CardDevice: None\n"
		"TitleInfo:\n"
		"  UniqueId: 0xff3f\n"
		"AccessControlInfo:\n"
		"  FileSystemAccess:\n"
		"    - Debug\n"
		"    - DirectSdmc\n"
	)
	SET_PROPERTY(TARGET oss_speedtest1 PROPERTY
		CTR_SPEC_RSF "${PROJECT_BINARY_DIR}/CMakeFiles/oss_speedtest1.dir/speedtest1.rsf")
	SET_PROPERTY(TARGET oss_speedtest1 APPEND PROPERTY
		COMPILE_DEFINITIONS "NLIB_CTR_SAMPLE_USEFILE")
	generate_ctr_makeromopt(oss_speedtest1)
ENDIF()

nlib_add_sample(oss sqlfromc nx_oss_sqlite3 nx_misc)
