#!/bin/bash

if [[ "$(uname)" != "Darwin" ]]; then
  echo Please call this script from OSX.
  exit 1
fi

cd $(dirname ${0})

brew update
brew upgrade

brew install homebrew/dupes/make
brew install cmake
brew install boost
brew install doxygen
brew install graphviz
brew install findutils
brew install ccache
brew install ninja
